← Tablas

Scotland

National League Division 2

#EquipoPWDLPDBPPtsForma
1Highland RFC6600+239630WWWWW
2Falkirk RFC6501+91626WWWWW
3Peebles RFC6501+53323WLWWW
4Newton Stewart RFC6402+95622LWWWW
5Gordonian RFC6303-32315WWLLL
6Stewart's Melville RFC6204-27513LLLLW
7Dundee Rugby6105-50610LLWLL
8Kirkcaldy RFC6204-163210WWLLL
9Preston Lodge RFC6105-8848LLLLL
10Howe of Fife RFC6105-11848LLLWL

Fuente: Scottish Rugby · consultado 14 oct, 04:52 p.m. · Forma: los últimos cinco resultados que tenemos, el más reciente a la derecha.

Partidos y resultados →

Cada tabla es la publicada por la propia liga, con sus bonus, descuentos y desempates. BP aparece donde la liga lo publica; en el resto ya está incluido en Pts.